diff --git a/action.c b/action.c
index 1346acd78a..14177aa633 100644
--- a/action.c
+++ b/action.c
@@ -2043,7 +2043,7 @@ int do_action(struct action* a, struct sip_msg* msg)
 
 				ret = async_script_launch( msg, aitem, a->elem[1].u.number, cmdp);
 
-				if ((ret = free_cmd_fixups(acmd->params, aitem->elem, cmdp)) < 0) {
+				if (free_cmd_fixups(acmd->params, aitem->elem, cmdp) < 0) {
 					LM_ERR("Failed to free fixups for command <%s>\n",
 						cmd->name);
 					break;
